Browse Source

Add Gemfile and puppet 4 checks

In anticipation of puppet 4, start trying to deal with puppet 4 things
that can be helpfully predicted by puppet lint plugins.

Change-Id: I687818e8e8e5002ea36063fff58e32aeb3f7e6fe
changes/89/212889/1
Colleen Murphy 6 years ago
parent
commit
d33f9f83df
2 changed files with 32 additions and 0 deletions
  1. +2
    -0
      .gitignore
  2. +30
    -0
      Gemfile

+ 2
- 0
.gitignore View File

@ -0,0 +1,2 @@
Gemfile.lock
.bundled_gems/

+ 30
- 0
Gemfile View File

@ -0,0 +1,30 @@
source 'https://rubygems.org'
group :development, :test do
gem 'puppetlabs_spec_helper', :require => false
gem 'metadata-json-lint'
# This is nice and all, but let's not worry about it until we've actually
# got puppet 4.x sorted
# gem 'puppet-lint-param-docs'
gem 'puppet-lint-absolute_classname-check'
gem 'puppet-lint-absolute_template_path'
gem 'puppet-lint-trailing_newline-check'
# Puppet 4.x related lint checks
gem 'puppet-lint-unquoted_string-check'
gem 'puppet-lint-empty_string-check'
gem 'puppet-lint-leading_zero-check'
gem 'puppet-lint-variable_contains_upcase'
gem 'puppet-lint-spaceship_operator_without_tag-check'
gem 'puppet-lint-undef_in_function-check'
if puppetversion = ENV['PUPPET_GEM_VERSION']
gem 'puppet', puppetversion, :require => false
else
gem 'puppet', '~> 3.0', :require => false
end
end
# vim:ft=ruby

Loading…
Cancel
Save